% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/missingValuesImputation_ProteinLevel.R
\name{wrapper.impute.slsa}
\alias{wrapper.impute.slsa}
\title{Imputation of peptides having no values in a biological condition.}
\usage{
wrapper.impute.slsa(obj = NULL, na.type = NULL)
}
\arguments{
\item{obj}{An object of class \code{MSnSet}.}

\item{na.type}{A string which indicates the type of missing values to impute.
Available values are: `NA` (for both POV and MEC), `POV`, `MEC`.}
}
\value{
The \code{Biobase::exprs(obj)} matrix with imputed values 
instead of missing values.
}
\description{
This method is a wrapper to the function \code{impute.slsa()} of the package
\code{imp4p} adapted to an object of class \code{MSnSet}.
}
\examples{
data(Exp1_R25_pept, package="DAPARdata")
obj <- Exp1_R25_pept[seq_len(100)]
obj.slsa.pov <- wrapper.impute.slsa(obj, na.type = "Missing POV")

}
\author{
Samuel Wieczorek
}
